Bug 592201 - cbq man page is empty
Summary: cbq man page is empty
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: iproute   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Marcela Mašláňová
QA Contact: Milos Malik
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-14 08:36 UTC by Milos Malik
Modified: 2010-11-10 20:41 UTC (History)
3 users (show)

Fixed In Version: iproute-2.6.32-7.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 20:41:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Milos Malik 2010-05-14 08:36:22 UTC
Description of problem:
cbq man page includes itself instead of tc-cbq

# zcat /usr/share/man/man8/cbq.8.gz
.so man8/cbq.8

Version-Release number of selected component (if applicable):
groff-1.18.1.4-19.el6.i686
iproute-2.6.32-5.el6.i686
man-1.6f-28.el6.i686

How reproducible:
always

Steps to Reproduce:
Following command will show you an empty man page:
# man cbq

If you want your CPU to be 100% busy use following command:
# man cbq | col -b | wc -l
  
Actual results:
cbq man page is empty

Expected results:
cbq man page is not empty

Comment 1 RHEL Product and Program Management 2010-05-14 09:43:50 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Petr Lautrbach 2010-06-10 14:02:53 UTC
this was already fixed in Fedora devel branch:

$ diff cvs/fedora/iproute/devel/man-pages.patch cvs/dist/iproute/RHEL-6/man-pages.patch
5c5
< +.so tc-cbq.8
---
> +.so man8/cbq.8

Comment 4 Marcela Mašláňová 2010-06-10 14:14:54 UTC
Thanks, applied in cvs.

Comment 6 Marcela Mašláňová 2010-06-17 07:30:08 UTC
Fixed. In previous patch was linked non-existent page.

Comment 8 releng-rhel@redhat.com 2010-11-10 20:41:07 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.